﻿
using Hotline.Ai.CallOut;
using Hotline.Orders;
using Hotline.Share.Dtos.Order;

namespace Hotline.Ai.Visit
{
    public interface IAiVisitService
    {
        Task<AiOrderVisit> CreateAiOrderVisitTask(AiOrderVisit aiOrderVisit, string sceneuid, string ruleuId, string visitFromNameKey, string visitFromGenderKey, string visitCreationTimeKey, string visitOrderTitleKey, string visitIsCallOrderKey, CancellationToken cancellationToken);

        Task<CallOutTask> CreateAiCallOutTask(CallOutTask callOutTask,string sceneuid,string ruleuId,string callOutContentKey, CancellationToken cancellationToken);


        Task<AiVisitQueryData> QueryAiVisitTask(string batchId,string taskId, CancellationToken cancellationToken);
    }
}
